services:
  n8n:
    # image: n8nio/n8n:latest
    build: .
    restart: always
    ports:
      - "5678:5678"
    volumes:
      - ./n8n-data:/home/node/.n8n
      - ./n8n-scripts:/home/node/.n8n/scripts
    environment:
      - N8N_HOST=${N8N_HOST:-localhost}
      - N8N_PORT=5678
      - N8N_PROTOCOL=${N8N_PROTOCOL:-http}
      - WEBHOOK_URL=${WEBHOOK_URL:-http://localhost:5678/}
      - NODES_EXCLUDE="[]"
      # Ha használsz SSL/TLS-t, akkor ezeket is be kell állítanod
      # - N8N_BASIC_AUTH_ACTIVE=true
      # - N8N_BASIC_AUTH_USER=user
      # - N8N_BASIC_AUTH_PASSWORD=password
    labels:
      - com.centurylinklabs.watchtower.enable=true
